gtkmm: Gtk::Separator Class Reference

gtkmm 3.4.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::Separator Class Reference

A separator widget. More...

Inheritance diagram for Gtk::Separator:
[legend]

List of all members.

## Public Member Functions
virtual | ~Separator ()
GtkSeparator* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkSeparator* | gobj () const
| Provides access to the underlying C GtkObject.
| Separator (Orientation orientation=ORIENTATION_HORIZONTAL)
## Related Functions
(Note that these are not member functions.)
Gtk::Separator* | wrap (GtkSeparator* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A separator widget.

Gtk::Separator is a horizontal or vertical separator widget, depending on the value of the orientation property, used to group the widgets within a window. It displays a line with a shadow to make it appear sunken into the interface.

## Constructor & Destructor Documentation

virtual Gtk::Separator::~Separator | ( |  | ) | `[virtual]`

Gtk::Separator::Separator | ( | Orientation | orientation = `ORIENTATION_HORIZONTAL` | ) | `[explicit]`

## Member Function Documentation

GtkSeparator* Gtk::Separator::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Orientable.

Reimplemented in Gtk::HSeparator, and Gtk::VSeparator.

const GtkSeparator* Gtk::Separator::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Orientable.

Reimplemented in Gtk::HSeparator, and Gtk::VSeparator.

## Friends And Related Function Documentation

Gtk::Separator* wrap | ( | GtkSeparator * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/separator.h